=== debian/changelog ===
zenlisp (2013.11.22-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Barak A. Pearlmutter ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Replace spaces in short license names with dashes.
  * Bump policy to 4.5.0, no changes required

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 15 Aug 2020 15:59:17 +0100

zenlisp (2013.11.22-2) unstable; urgency=medium

  * Pass prefix at build time.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 21 Feb 2014 14:59:29 +0000

zenlisp (2013.11.22-1) unstable; urgency=low

  * Initial release (closes: #736420)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 23 Jan 2014 13:47:45 +0000
