=== debian/control ===
Source: zenlisp
Section: lisp
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://www.t3x.org/
Vcs-Git: https://salsa.debian.org/debian/zenlisp.git
Vcs-Browser: https://salsa.debian.org/debian/zenlisp

Package: zenlisp
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Interpreter for purely symbolic, pure, lexically scoped dialect of LISP
 Zenlisp is an interpreter for a purely symbolic, side effect-free,
 lexically scoped dialect of LISP.  It may be considered an
 implementation of pure LISP plus global definitions. Zenlisp is
 derived from ArrowLISP.
