=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
		dh $@

PASS_TO_MAKE = prefix=/usr MANDIR=/usr/share/man/man1

override_dh_auto_build:
	dh_auto_build -- $(PASS_TO_MAKE)

override_dh_auto_install:
	dh_auto_install -- $(PASS_TO_MAKE)
	-rm --verbose debian/zenlisp/usr/share/zenlisp/LICENSE

get-orig-source:
	wget --quiet http://www.t3x.org/files/zenlisp.zip
	mk-origtargz -v $$(unzip -p zenlisp.zip '*/zl.c' \
		| egrep 'define.*RELEASE' \
		| tr '"-' ' .' \
		| awk '{print $$3}') zenlisp.zip
